Name:           python-stock-indicators
Version:        1.3.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Stock Indicators for Python.  Send in historical price quotes and get back desired technical indicators such as Stochastic RSI, Average True Range, Parabolic SAR, etc.  Nothing more.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://python.stockindicators.dev
Source:         %{pypi_source stock_indicators}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'stock-indicators' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-stock-indicators
Summary:        %{summary}

%description -n python3-stock-indicators %_description


%prep
%autosetup -p1 -n stock_indicators-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-stock-indicators -f %{pyproject_files}


%changelog
%autochangelog